package cn.stylefeng.team.project.modular.business.service;

import cn.stylefeng.team.project.api.entity.BusinessPermission;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface BusinessPermissionService extends IService<BusinessPermission> {

    void removeBusinessFilingPermission(Long businessId);

    void addBusinessFillingPermission(Long businessId, List<BusinessPermission> businessFilingPermissionList);

    List<BusinessPermission> queryBusinessFilingPermissionList(Long businessId);

    void processPermissionName(List<BusinessPermission> businessFilingPermissionList);

}